List customer invoices

List customer invoices and credit notes

ℹ️

This endpoint requires one of the following scopes: customer_invoices:all, customer_invoices:readonly

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string

Cursor for pagination. Use this to fetch the next set of results.
The cursor is an opaque string returned in the previous response's metadata.
Leave empty for the first request.

integer
1 to 100

Number of items to return per request.
Defaults to 20 if not specified.
Must be between 1 and 100.

string

You can choose to filter items on specific fields.
Available fields and values:

  • id, date, customer_id, billing_subscription_id, quote_id: lt, lteq, gt, gteq, eq, not_eq, in, not_in
  • invoice_number: eq, not_eq, in, not_in
  • draft: eq (boolean)
  • credit_note: eq (boolean)
  • external_reference: eq
  • flow_id: eq, not_eq, in, not_in
  • category_id: in
string
Defaults to -id

You can choose to sort items on specific attributes
Sort field may be prefixed with - for descending order.
Example : id will sort by ascending order, -id will sort by descending order.
Available fields : id, date

string

You can choose to include additional related resources in the response.
When specified, related resources will be returned in a separate included section.
Available includes: invoice_lines

⚠️ Warning: This feature is currently experimental and may change or be removed in future releases.
We recommend using it with caution in production environments.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json